Name: H5Dget_create_plist
Signature:
  hid_t `H5Dget_create_plist`(hid_t `dataset_id` )
Purpose:
  Returns an identifier for a copy of the dataset creation property list for a dataset.
Description:
  `H5Dget_create_plist` returns an identifier for a copy of the dataset creation property list for a dataset.

  The creation property list identifier should be released with the `H5Pclose` function.

Parameters:

hid_t `dataset_id` | IN: Identifier of the dataset to query.

Returns:
  Returns a dataset creation property list identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5dget_create_plist_f

      SUBROUTINE h5dget_create_plist_f(dataset_id, creation_prp, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dataset_id    ! Dataset identifier
        INTEGER(HID_T), INTENT(OUT) :: creation_id  ! Dataset creation
                                                    ! property list identifier
        INTEGER, INTENT(OUT) :: hdferr              ! Error code
                                                    ! 0 on success and -1 on failure
      END SUBROUTINE h5dget_create_plist_f